<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Application\Menu;

use Sylius\Bundle\UiBundle\Menu\Event\MenuBuilderEvent;

final class AccountMenuListener
{
    public function addAccountMenuItems(MenuBuilderEvent $event): void
    {
        $menu = $event->getMenu();

        $menu
            ->addChild('new', ['route' => 'shop_account_referral_index'])
            ->setLabel('dedi_customer_referral.ui.referral')
            ->setLabelAttribute('icon', 'users')
        ;
    }
}
